/** @file MOMContentCatalogueEvent.h
 *
 * Copyright (C) Espial Limited 2014 - Company confidential - All rights reserved.
 *
 */

#ifndef MOMContentCatalogueEvent_h
#define MOMContentCatalogueEvent_h

#if ENABLE(RMAI)

#include <wtf/PassRefPtr.h>
#include <wtf/RefCounted.h>
#include <wtf/text/AtomicString.h>

#include "MOMEvent.h"

namespace WebCore {

class MOMContentCatalogueEvent : public MOMEvent {
public:
    enum {
        UPDATED = 0,
    };

    static PassRefPtr<MOMContentCatalogueEvent> create()
    {
        return adoptRef(new MOMContentCatalogueEvent);
    }

    int action() const { return getIntParam(mom_event_CONTENTCATALOGUE_ACTION); }

    MOMContentCatalogueEvent(const mom_event_params* params, ScriptExecutionContext* context);
private:
    MOMContentCatalogueEvent();
};

} // namespace WebCore

#endif // ENABLE(RMAI)

#endif // MOMContentCatalogueEvent_h
